/[gentoo-x86]/app-text/calibre/ChangeLog
Gentoo

Contents of /app-text/calibre/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.82 - (show annotations) (download)
Fri Apr 9 19:01:08 2010 UTC (9 years, 6 months ago) by zmedico
Branch: MAIN
Changes since 1.81: +8 -1 lines
0.6.47 version bump. Updated deps to use virtual/libusb:0 since Bernard
Cafarelli <voyageur@g.o> reported that libusb-compat works (tested with
sony reader touch).
(Portage version: 2.2_rc67_p59/cvs/Linux i686)

1 # ChangeLog for app-text/calibre
2 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/app-text/calibre/ChangeLog,v 1.81 2010/03/28 10:35:43 zmedico Exp $
4
5 *calibre-0.6.47 (09 Apr 2010)
6
7 09 Apr 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.47.ebuild:
8 0.6.47 version bump. Updated deps to use virtual/libusb:0 since Bernard
9 Cafarelli <voyageur@g.o> reported that libusb-compat works (tested with
10 sony reader touch).
11
12 28 Mar 2010; Zac Medico <zmedico@gentoo.org> -calibre-0.6.37.ebuild,
13 -calibre-0.6.40.ebuild:
14 Remove old versions.
15
16 *calibre-0.6.45 (28 Mar 2010)
17
18 28 Mar 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.45.ebuild:
19 0.6.45 version bump.
20
21 *calibre-0.6.44 (06 Mar 2010)
22
23 06 Mar 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.44.ebuild:
24 0.6.44 version bump.
25
26 16 Feb 2010; Zac Medico <zmedico@gentoo.org> -calibre-0.6.33.ebuild,
27 -calibre-0.6.36.ebuild:
28 Remove old versions.
29
30 *calibre-0.6.40 (16 Feb 2010)
31
32 16 Feb 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.40.ebuild:
33 0.6.40 version bump.
34
35 10 Feb 2010; Samuli Suominen <ssuominen@gentoo.org> calibre-0.6.33.ebuild,
36 calibre-0.6.36.ebuild, calibre-0.6.37.ebuild:
37 Fix poppler depend.
38
39 06 Feb 2010; Zac Medico <zmedico@gentoo.org> calibre-0.6.37.ebuild:
40 Set PYTHON_USE_WITH=sqlite to generate the python[sqlite] dep.
41
42 06 Feb 2010; Zac Medico <zmedico@gentoo.org> calibre-0.6.37.ebuild:
43 Set PYTHON_DEPEND=2:2.6, as suggested by Arfrever.
44
45 05 Feb 2010; Zac Medico <zmedico@gentoo.org> calibre-0.6.37.ebuild:
46 Don't set NEED_PYTHON and PYTHON_DEPEND at the same time.
47
48 *calibre-0.6.37 (05 Feb 2010)
49
50 05 Feb 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.37.ebuild:
51 0.6.37 version bump.
52
53 30 Jan 2010; Zac Medico <zmedico@gentoo.org> -calibre-0.6.24.ebuild,
54 -calibre-0.6.26.ebuild, -calibre-0.6.28.ebuild, -calibre-0.6.29.ebuild,
55 -calibre-0.6.31.ebuild:
56 Remove old versions.
57
58 *calibre-0.6.36 (30 Jan 2010)
59
60 30 Jan 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.36.ebuild:
61 0.6.36 version bump.
62
63 *calibre-0.6.33 (13 Jan 2010)
64
65 13 Jan 2010; Zac Medico <zmedico@gentoo.org> +calibre-0.6.33.ebuild:
66 0.6.33 version bump.
67
68 *calibre-0.6.31 (29 Dec 2009)
69
70 29 Dec 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.31.ebuild:
71 0.6.31 version bump.
72
73 *calibre-0.6.29 (23 Dec 2009)
74
75 23 Dec 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.29.ebuild:
76 0.6.29 version bump.
77
78 *calibre-0.6.28 (18 Dec 2009)
79
80 18 Dec 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.28.ebuild:
81 0.6.28 version bump.
82
83 08 Dec 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.20.ebuild,
84 -calibre-0.6.21.ebuild, -calibre-0.6.23.ebuild, -calibre-0.6.25.ebuild:
85 Remove old ebuilds.
86
87 08 Dec 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6.26.ebuild:
88 Bug #295672 - Override XDG_CONFIG_HOME to avoid sandbox violations.
89
90 *calibre-0.6.26 (07 Dec 2009)
91
92 07 Dec 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.26.ebuild:
93 0.6.26 version bump. Also, export a fake CALIBRE_CONFIG_DIRECTORY
94 variable in order to hopefully avoid the sandbox violation reported
95 in bug #295672.
96
97 *calibre-0.6.25 (03 Dec 2009)
98
99 03 Dec 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.25.ebuild:
100 0.6.25 version bump.
101
102 *calibre-0.6.24 (19 Nov 2009)
103
104 19 Nov 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.24.ebuild:
105 0.6.24 version bump.
106
107 *calibre-0.6.23 (15 Nov 2009)
108
109 15 Nov 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.23.ebuild:
110 0.6.23 version bump.
111
112 *calibre-0.6.21 (13 Nov 2009)
113
114 13 Nov 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.21.ebuild:
115 0.6.21 version bump.
116
117 13 Nov 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.10.ebuild,
118 -calibre-0.6.16-r1.ebuild, -calibre-0.6.17.ebuild, -calibre-0.6.19.ebuild:
119 Remove old versions.
120
121 *calibre-0.6.20 (31 Oct 2009)
122
123 31 Oct 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.20.ebuild:
124 0.6.20 version bump.
125
126 *calibre-0.6.19 (23 Oct 2009)
127
128 23 Oct 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.19.ebuild:
129 0.6.19 version bump.
130
131 *calibre-0.6.17 (14 Oct 2009)
132
133 14 Oct 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.17.ebuild:
134 0.6.17 version bump.
135
136 07 Oct 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6.16-r1.ebuild:
137 Bug #287686 - Fix poppler and libusb deps.
138
139 05 Oct 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6.16-r1.ebuild:
140 Bug #287067 - Disable unnecessary privilege dropping during src_install.
141
142 05 Oct 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6.16-r1.ebuild:
143 Avoid sandbox violations when xdg-mime is called during src_install,
144 as reported in bug #287067, comment #13.
145
146 *calibre-0.6.16-r1 (03 Oct 2009)
147
148 03 Oct 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.14-r1.ebuild,
149 -calibre-0.6.16.ebuild, +calibre-0.6.16-r1.ebuild:
150 Revbump to add missing podofo dep for bug #287492. Also, remove old
151 ebuilds.
152
153 *calibre-0.6.16 (02 Oct 2009)
154
155 02 Oct 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.16.ebuild:
156 0.6.16 version bump.
157
158 *calibre-0.6.14-r1 (01 Oct 2009)
159
160 01 Oct 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.14.ebuild,
161 +calibre-0.6.14-r1.ebuild:
162 Install python modules in /usr/lib/calibre, including bundled modules,
163 since that's how upstream wants it.
164
165 *calibre-0.6.14 (01 Oct 2009)
166
167 01 Oct 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.14.ebuild:
168 0.6.14 version bump. Pdf output seems to be broken in this release (at
169 least it doesn't work with pyPdf-1.12), so skip this update if you need to
170 convert to pdf format.
171
172 *calibre-0.6.11 (08 Sep 2009)
173
174 08 Sep 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.7.ebuild,
175 -calibre-0.6.8.ebuild, +calibre-0.6.11.ebuild:
176 0.6.11 version bump, and remove old.
177
178 *calibre-0.6.10 (03 Sep 2009)
179
180 03 Sep 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.10.ebuild:
181 0.6.10 version bump.
182
183 *calibre-0.6.8 (22 Aug 2009)
184
185 22 Aug 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.5.14.ebuild,
186 -calibre-0.6.5.ebuild, -calibre-0.6.6.ebuild, +calibre-0.6.8.ebuild:
187 0.6.8 version bump and remove old.
188
189 *calibre-0.6.7 (17 Aug 2009)
190
191 17 Aug 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.7.ebuild:
192 0.6.7 version bump.
193
194 17 Aug 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6.6.ebuild:
195 Bug #281200 - Update cssutils dependency.
196
197 *calibre-0.6.6 (11 Aug 2009)
198
199 11 Aug 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6.3.ebuild,
200 -calibre-0.6.4.ebuild, +calibre-0.6.6.ebuild:
201 0.6.6 version bump and remove old.
202
203 *calibre-0.6.5 (07 Aug 2009)
204
205 07 Aug 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.5.ebuild:
206 Version bump.
207
208 *calibre-0.6.4 (01 Aug 2009)
209
210 01 Aug 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6_beta10.ebuild,
211 -calibre-0.6.0.ebuild, +calibre-0.6.4.ebuild:
212 Version bump and remove old.
213
214 *calibre-0.6.3 (31 Jul 2009)
215
216 31 Jul 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.3.ebuild:
217 Version bump.
218
219 *calibre-0.6.0 (26 Jul 2009)
220
221 26 Jul 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6.0.ebuild:
222 0.6.0 release (bug #279110).
223
224 22 Jul 2009; Zac Medico <zmedico@gentoo.org> calibre-0.6_beta10.ebuild:
225 Bug #276858 - Bump dependency from PyQt4-4.4.2 to PyQt4-4.5.
226
227 05 Jul 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.6_beta6.ebuild,
228 -calibre-0.6_beta8.ebuild, calibre-0.6_beta10.ebuild:
229 Bug #275845 - Use podofo instead of pdftk if available. Also, remove older
230 beta versions.
231
232 *calibre-0.6_beta10 (28 Jun 2009)
233
234 28 Jun 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6_beta10.ebuild:
235 0.6_beta10 bump.
236
237 *calibre-0.6_beta8 (23 Jun 2009)
238
239 23 Jun 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6_beta8.ebuild:
240 0.6_beta8 bump.
241
242 16 Jun 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.4.76.ebuild,
243 -calibre-0.5.13-r2.ebuild, -files/bug_270746_UnicodeEncodeError.patch:
244 Remove old versions.
245
246 *calibre-0.6_beta6 (16 Jun 2009)
247
248 16 Jun 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.6_beta6.ebuild:
249 Bug #271206 - Add calibre-0.6_beta6 for PyQt4-4.5 compatibility.
250
251 15 Jun 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.14-r1.ebuild:
252 Remove garbage from previous commit.
253
254 *calibre-0.5.14-r1 (15 Jun 2009)
255
256 15 Jun 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.14-r1.ebuild:
257 Bug #271206 - Remove bundled cherrypy, cssutils, and odfpy libraries.
258
259 03 Jun 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.14.ebuild:
260 Bug #272146 - Add deps for PyQt4[X,svg].
261
262 02 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org> metadata.xml:
263 Handing over to Zac
264
265 *calibre-0.5.14 (02 Jun 2009)
266
267 02 Jun 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.5.11.ebuild,
268 -calibre-0.5.12.ebuild, -calibre-0.5.13.ebuild, +calibre-0.5.14.ebuild:
269 0.5.14 bump and remove older versions.
270
271 *calibre-0.5.13-r2 (25 May 2009)
272
273 25 May 2009; Zac Medico <zmedico@gentoo.org>
274 files/bug_270746_UnicodeEncodeError.patch, -calibre-0.5.13-r1.ebuild,
275 +calibre-0.5.13-r2.ebuild:
276 Bug #270746 - Update patch to solve another UnicodeDecodeError.
277
278 *calibre-0.5.13-r1 (22 May 2009)
279
280 22 May 2009; Zac Medico <zmedico@gentoo.org>
281 +files/bug_270746_UnicodeEncodeError.patch, +calibre-0.5.13-r1.ebuild:
282 Bug #270746 - Fix UnicodeEncodeError for LANG=pl_PL.UTF-8. Also, change
283 libusb dep to specify slot 0 and note that libusb-compat is untested.
284
285 *calibre-0.5.13 (21 May 2009)
286
287 21 May 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.13.ebuild:
288 0.5.13 bump.
289
290 *calibre-0.5.12 (18 May 2009)
291
292 18 May 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.12.ebuild:
293 0.5.12 bump.
294
295 18 May 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.5.9-r2.ebuild,
296 -calibre-0.5.10.ebuild:
297 Remove old versions.
298
299 *calibre-0.5.11 (09 May 2009)
300
301 09 May 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.11.ebuild:
302 0.5.11 bump.
303
304 *calibre-0.5.10 (04 May 2009)
305
306 04 May 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.10.ebuild:
307 0.5.10 bump.
308
309 01 May 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9-r2.ebuild:
310 Don't install /usr/share/mime/{types,treemagic} since they're supposed
311 to be orphans, generated by fdo-mime_mime_database_update.
312
313 01 May 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9-r2.ebuild:
314 Tweak xdg-desktop-menu usage to avoid sandbox violation in
315 /usr/share/gnome/apps.
316
317 *calibre-0.5.9-r2 (29 Apr 2009)
318
319 29 Apr 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.5.9-r1.ebuild,
320 +calibre-0.5.9-r2.ebuild:
321 Revbump with blockers for bundled odfpy, cherrypy, cssutils and
322 django-tagging libraries. TODO: Unbundle these libraries.
323
324 29 Apr 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9-r1.ebuild:
325 Move sed calls from src_compile to src_prepare, and call
326 bash-completion_pkg_postinst in pkg_postinst.
327
328 29 Apr 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9-r1.ebuild:
329 Require python[sqlite] for traceback shown in bug #258938, comment #27.
330
331 *calibre-0.5.9-r1 (28 Apr 2009)
332
333 28 Apr 2009; Zac Medico <zmedico@gentoo.org> -calibre-0.5.9.ebuild,
334 +calibre-0.5.9-r1.ebuild:
335 Bump revision for smoother pyPdf file collision handling.
336
337 28 Apr 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9.ebuild:
338 Remove bundled pyPdf and pull it in as a dep (bug #258938, comment #25).
339
340 28 Apr 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9.ebuild:
341 Add missing reportlab dependency (bug #258938, comment #23) and fix
342 sandbox violation in /usr/share/gnome/apps (comment #21).
343
344 28 Apr 2009; Zac Medico <zmedico@gentoo.org> calibre-0.5.9.ebuild:
345 Require PyQt4[webkit] for traceback shown in bug #258938, comment #21.
346
347 *calibre-0.5.9 (27 Apr 2009)
348
349 27 Apr 2009; Zac Medico <zmedico@gentoo.org> +calibre-0.5.9.ebuild:
350 Add latest version. Thanks to Tim Dodge <timmy@invisibles.org> in
351 bug #258938 for the updated ebuild.
352
353 14 Apr 2009; Raúl Porcel <armin76@gentoo.org> calibre-0.4.76.ebuild,
354 calibre-0.4.77.ebuild:
355 Add ~x86 wrt #265022
356
357 *calibre-0.4.77 (17 Jul 2008)
358
359 17 Jul 2008; Diego Pettenò <flameeyes@gentoo.org> +calibre-0.4.77.ebuild:
360 Version bump.
361
362 *calibre-0.4.76 (04 Jul 2008)
363
364 04 Jul 2008; Diego Pettenò <flameeyes@gentoo.org> -calibre-0.4.53.ebuild,
365 -calibre-0.4.54.ebuild, -calibre-0.4.64.ebuild, -calibre-0.4.73.ebuild,
366 +calibre-0.4.76.ebuild:
367 Version bump, remove old versions.
368
369 *calibre-0.4.73 (24 Jun 2008)
370
371 24 Jun 2008; Diego Pettenò <flameeyes@gentoo.org> +calibre-0.4.73.ebuild:
372 Update calibre to version 0.4.73.
373
374 *calibre-0.4.64 (30 May 2008)
375
376 30 May 2008; Diego Pettenò <flameeyes@gentoo.org> +calibre-0.4.64.ebuild:
377 Version bump.
378
379 *calibre-0.4.54 (15 May 2008)
380
381 15 May 2008; Diego Pettenò <flameeyes@gentoo.org> +calibre-0.4.54.ebuild:
382 Version bump.
383
384 14 May 2008; Diego Pettenò <flameeyes@gentoo.org> calibre-0.4.53.ebuild:
385 Depend on Python 2.5, see bug #221935.
386
387 *calibre-0.4.53 (12 May 2008)
388
389 12 May 2008; Diego Pettenò <flameeyes@gentoo.org> +metadata.xml,
390 +calibre-0.4.53.ebuild:
391 Initial import of calibre (formerly libprs500), software to handle PRS-500
392 and PRS-505 e-Book readers by Sony. Thanks to drac who committed the
393 xdg-utils patch it can finally enter the tree.

  ViewVC Help
Powered by ViewVC 1.1.20